<ui:composition template="templateMenu.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:ui2="http://java.sun.com/jsf/facelets"
	xmlns:tm="http://java.sun.com/jsf/composite/terminal/1_0/components">
>

<ui:define name="principal">

<h:form id="formLocal">
<p:growl id="mensagem"/>
	
	<p:dataTable
			var = "loc"
			value = "#{localMB.locais}"
			editable = "true"
			id="tabelaLocal"
			paginator="true"
            rows="5"
            paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
            rowsPerPageTemplate="5,10,15"
			
			
			                        
	>
	
	<f:facet name="header">
            Locais
    </f:facet>
    
    <p:ajax event="rowEdit" listener="#{localMB.onRowEdit}" update="tabelaLocal" />
    
    	<p:column headerText="Nome" style="text-align: center" sortBy="#{loc.nome}">
		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{loc.nome}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{loc.nome}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		
	    </p:column>
	
		
		<p:column headerText="Endereço" style="text-align: center" sortBy="#{loc.endereco}">
		
		   		<p:cellEditor>
                  		<f:facet name="output"><p:outputLabel value="#{loc.endereco}"/></f:facet>
                  		<f:facet name="input"><p:inputText    value="#{loc.endereco}" style="width:100%"/></f:facet>
           		</p:cellEditor>	   
           		
	    </p:column>
	    

	    

		<p:column style = "text-align: center">
			<p:rowEditor />
	     	<p:commandLink style = "color:DodgerBlue; text-decoration: none" value="Remover" action="#{localMB.remover(loc)}" update="tabelaLocal"></p:commandLink> 	     	
		</p:column>
			
	</p:dataTable>		
	

</h:form>


	</ui:define>
</ui:composition>